<?php

$wpconfig = realpath("../../../../wp-config.php");

if (!file_exists($wpconfig)) {
	echo "Could not found wp-config.php. Error in path :\n\n".$wpconfig ;	
	die;	
}// stop when wp-config is not there

require_once($wpconfig);
require_once(ABSPATH.'/wp-admin/admin.php');

// check for rights
if(!current_user_can('edit_posts')) die;

global $wpdb;

if(!function_exists('minimax_version') || minimax_version()<MUDS_MNMX_V) {
	printf(__('You have to install <a href="%s" target="_BLANK">minimax %1.1f</a> in order for this plugin to work.', 'mudslide'), "http://wordpress.org/extend/plugins/minimax/", MUDS_MNMX_V );
	exit(); 
}

?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>MudSlideShow</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo muds_plugin_url('/tinymce/mudslide.js'); ?>"></script>
	<?php minimax_header(); ?>
	<script language="javascript" type="text/javascript">
		var mnmx = new minimax("<?php echo muds_plugin_url('/ajax/data.php'); ?>", false);
		//mnmx.setThrobber('Throbber3', 'on', 'off');
		
		function mudslide_changeUser(user) {
			var user_name = document.getElementById('user_name1');
			user_name.value=user;
			
			user_name = document.getElementById('user_name2');
			user_name.value=user;
			
			user_name = document.getElementById('user_name3');
			user_name.value=user;
		}
		
		var funcUser = function() { 
			if (mnmx.xhr.readyState == 4 && mnmx.xhr.status==200 ) {
				mnmx.closeThrobber();
				var data=mnmx.xhr.responseText;

				try { //IE
					xmldoc = new ActiveXObject("Microsoft.XMLDOM");
					xmldoc.async = "false";
					xmldoc.loadXML(data);
				} catch(e) {
					parser=new DOMParser();
					var xmldoc=parser.parseFromString(data,"text/xml");
				}

				var gallerypictag = document.getElementById('gallerypictag');
				gallerypictag.length=0;
				gallerypictag.options[0]=new Option('<?php _e("Select gallery", 'mudslide'); ?>', 0, false, false);

				var singlepictag = document.getElementById('singlepictag');
				singlepictag.length=0;
				singlepictag.options[0]=new Option('<?php _e("Select gallery first", 'mudslide'); ?>', 0, false, false);

				var gallerytag = document.getElementById('gallerytag');
				gallerytag.length=0;
				gallerytag.options[0]=new Option('<?php _e("Select gallery", 'mudslide'); ?>', 0, false, false);

				var simplegallerytag = document.getElementById('simplegallerytag');
				simplegallerytag.length=0;
				simplegallerytag.options[0]=new Option('<?php _e("Select gallery", 'mudslide'); ?>', 0, false, false);

				var albums = xmldoc.getElementsByTagName('album');
				for (i = 0; i < albums.length; i++) {
					var id = albums[i].childNodes[0].firstChild.nodeValue;
					var name = albums[i].childNodes[1].firstChild.nodeValue;
					gallerytag.options[i+1]=new Option(name, id, false, false)
					gallerypictag.options[i+1]=new Option(name, id, false, false)
					simplegallerytag.options[i+1]=new Option(name, id, false, false)
				}
			}
		}

		var funcAlbum = function() { 
			if (mnmx.xhr.readyState == 4 && mnmx.xhr.status==200 ) {
				mnmx.closeThrobber();
				var data=mnmx.xhr.responseText;

				try { //IE
					xmldoc = new ActiveXObject("Microsoft.XMLDOM");
					xmldoc.async = "false";
					xmldoc.loadXML(data);
				} catch(e) {
					parser=new DOMParser();
					var xmldoc=parser.parseFromString(data,"text/xml");
				}

				var singlepictag = document.getElementById('singlepictag');
				singlepictag.length=0;
				var photos = xmldoc.getElementsByTagName('photo');
				for (i = 0; i < photos.length; i++) {
					var name = photos[i].childNodes[0].firstChild.nodeValue;
					singlepictag.options[i]=new Option(name, i, false, false)
				}
			}
		}
				
		function mudslide_UpdateUser(user,update) {
			if(update) update=1;
			else update=0;
			post = "type=picasa&amp;kind=galleries&amp;update="+update+"&amp;user="+user;
			mnmx.setFunc(funcUser);
			mnmx.post(post); 
		}
				
		function mudslide_UpdateAlbum(user,gallery,update) {
			if(update) update=1;
			else update=0;
			post = "type=picasa&amp;kind=gallery&amp;update="+update+"&amp;user="+user+"&amp;gallery="+gallery;
			mnmx.setFunc(funcAlbum)
			mnmx.post(post); 
		}
			
	</script>
	<style type="text/css">

		img.on {
			height: 20px;
			background: url('loading.gif') center center;
			cursor: pointer;
			vertical-align: middle;
		}


		img.off {
			height: 20px;
			background: url('update.gif') center center;
			cursor: pointer;
			vertical-align: middle;
		}
	</style>
	<base target="_self" />
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';document.getElementById('gallerytag').focus();" style="display: none">
<!-- <form onsubmit="insertLink();return false;" action="#"> -->
	<form name="MudSlide" action="#">
	<div class="tabs">
		<ul>
			<li id="gallery_tab" class="current"><span><a href="javascript:mcTabs.displayTab('gallery_tab','gallery_panel');" onmousedown="return false;"><?php _e("Gallery", 'mudslide'); ?></a></span></li>
			<li id="simplegallery_tab"><span><a href="javascript:mcTabs.displayTab('simplegallery_tab','simplegallery_panel');" onmousedown="return false;"><?php _e("Simple Gallery", 'mudslide'); ?></a></span></li>
			<li id="singlepic_tab"><span><a href="javascript:mcTabs.displayTab('singlepic_tab','singlepic_panel');" onmousedown="return false;"><?php _e("Picture", 'mudslide'); ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height: 150px;">
		<!-- gallery panel -->
		<div id="gallery_panel" class="panel current">
		<br />
		<table border="0" cellpadding="4" cellspacing="0">
			<tr>
				<td nowrap="nowrap"><label for="gallerytag"><?php _e("User", 'mudslide'); ?></label></td>
				<td><input type="text" value="<?php echo mudsPicasa_get_user(); ?>" id="user_name1" onchange="mnmx.setThrobber('Throbber_user1', 'on', 'off'); mudslide_changeUser(this.value); mudslide_UpdateUser(this.value,false);"></td>
			</tr>
			<tr valign="middle">
				<td nowrap="nowrap"><label for="gallerytag"><?php _e("Gallery", 'mudslide'); ?></label></td>
				<td><select id="gallerytag" name="gallerytag" style="width: 200px">
						<option value="0"><?php _e("Select gallery", 'mudslide'); ?></option>
						<?php
							if(strlen(mudsPicasa_get_user())>0) {
								$gallerylist = mudsPicasa_list_user_galleries(mudsPicasa_get_user());
								if(is_array($gallerylist)) {
									foreach($gallerylist as $gallery) {
										echo '<option value="'.$gallery['id'].'" >'.$gallery['title'].'</option>'."\n";
									}
								}
							}
						?>
					</select> <a onclick="mnmx.setThrobber('Throbber_user1', 'on', 'off'); mnmx.activateThrobber(); mudslide_UpdateUser(document.getElementById('user_name1').value,true);"><img id="Throbber_user1" class="off" src="mask.gif" border="0"></a></td>
			</tr>
		</table>
		</div>
		<!-- gallery panel -->
						
		<!-- mudsimple panel -->
		<div id="simplegallery_panel" class="panel">
			<br />
			<table border="0" cellpadding="4" cellspacing="0">
				<tr>
					<td nowrap="nowrap"><label for="simplegallerytag"><?php _e("User", 'mudslide'); ?></label></td>
					<td><input type="text" value="<?php echo mudsPicasa_get_user(); ?>" id="user_name2" onchange="mnmx.setThrobber('Throbber_user2', 'on', 'off'); mudslide_changeUser(this.value); mudslide_UpdateUser(this.value,false);"></td>
				</tr>
				<tr valign="middle">
					<td nowrap="nowrap"><label for="simplegallerytag"><?php _e("Gallery", 'mudslide'); ?></label></td>
					<td><select id="simplegallerytag" name="simplegallerytag" style="width: 200px">
							<option value="0"><?php _e("Select gallery", 'mudslide'); ?></option>
							<?php
								if(strlen(mudsPicasa_get_user())>0) {
									$gallerylist = mudsPicasa_list_user_galleries(mudsPicasa_get_user());
									if(is_array($gallerylist)) {
										foreach($gallerylist as $gallery) {
											echo '<option value="'.$gallery['id'].'" >'.$gallery['title'].'</option>'."\n";
										}
									}
								}
							?>
						</select> <a src="update.png" style="cursor : pointer;" onclick="mnmx.setThrobber('Throbber_user2', 'on', 'off'); mudslide_UpdateUser(document.getElementById('user_name2').value,true);"><img border="0" id="Throbber_user2" class="off" src="mask.gif"></a></td>
				</tr>
				<tr>
					<td nowrap="nowrap" valign="top"><?php _e("Size", 'mudslide'); ?></td>
					<td>
						<label>
							<select id="simplesize" name="simplesize">
							<option value="64">64</option>
							<option value="72">72</option>
							<option value="144">144</option>
							<option value="160">160</option>
							<option value="200" selected>200</option>
							<option value="288">288</option>
							<option value="320">320</option>
							<option value="400">400</option>
							<option value="512">512</option>
							<option value="576">576</option>
							<option value="640">640</option>
							<option value="720">720</option>
							<option value="800">800</option>
							<option value="912">912</option>
							<option value="1024">1024</option>
							<option value="1152">1152</option>
							<option value="1280">1280</option>
							<option value="1440">1440</option>
							<option value="1660">1660</option>
							</select>
						</label>
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap" valign="top"><?php _e("Float", 'mudslide'); ?></td>
					<td>
						<label><select id="simplefloat" name="simplefloat">
							<option value="left"><?php _e("Left", 'mudslide'); ?></option>
							<option value="right"><?php _e("Right", 'mudslide'); ?></option>
							<option value="center"><?php _e("Center", 'mudslide'); ?></option>
						</select></label>
					</td>
				</tr>
			</table>
		</div>
		<!-- mudsimple panel -->
		
		<!-- single pic panel -->
		<div id="singlepic_panel" class="panel">
		<br />
		<table border="0" cellpadding="4" cellspacing="0">
			<tr>
				<td nowrap="nowrap"><label for="gallerytag"><?php _e("User", 'mudslide'); ?></label></td>
				<td><input type="text" value="<?php echo mudsPicasa_get_user(); ?>" id="user_name3" onchange="mudslide_changeUser(this.value); mnmx.setThrobber('Throbber_user3', 'on', 'off'); mudslide_UpdateUser(this.value,false);"></td>
			</tr>
			<tr>
				<td nowrap="nowrap"><label for="gallerypictag"><?php _e("Gallery", 'mudslide'); ?></label></td>
				<td><select id="gallerypictag" name="gallerypictag" style="width: 200px" onchange="mnmx.setThrobber('Throbber_album3', 'on', 'off'); mudslide_UpdateAlbum(document.getElementById('user_name3').value,this.value,false);">
						<option value="0"><?php _e("Select gallery", 'mudslide'); ?></option>
						<?php
							if(strlen(mudsPicasa_get_user())>0) {
								$gallerylist = mudsPicasa_list_user_galleries(mudsPicasa_get_user());
								if(is_array($gallerylist)) {
									foreach($gallerylist as $gallery) {
										echo '<option value="'.$gallery['id'].'" >'.$gallery['title'].'</option>'."\n";
									}
								}
							}
						?>
					</select> <a src="update.png" style="cursor : pointer;" onclick="mnmx.setThrobber('Throbber_user3', 'on', 'off'); mudslide_UpdateUser(document.getElementById('user_name3').value,true);"><img border="0" id="Throbber_user3" class="off" src="mask.gif"></a></td>
			</tr>
			<tr>
				<td nowrap="nowrap"><label for="singlepictag"><?php _e("Picture", 'mudslide'); ?></label></td>
				<td><select id="singlepictag" name="singlepictag" style="width: 200px">
						<option value="0"><?php _e("Select gallery first", 'mudslide'); ?></option>
					</select> <a src="update.png" style="cursor : pointer;" onclick="mnmx.setThrobber('Throbber_album3', 'on', 'off'); mudslide_UpdateAlbum(document.getElementById('user_name3').value,document.getElementById('gallerypictag').value,true);"><img border="0" id="Throbber_album3" class="off" src="mask.gif"></a></td>
			</tr>
			<tr>
				<td nowrap="nowrap" valign="top"><?php _e("Size", 'mudslide'); ?></td>
				<td>
					<label>
						<select id="imgsize" name="imgsize">
							<option value="64">64</option>
							<option value="72">72</option>
							<option value="144">144</option>
							<option value="160">160</option>
							<option value="200" selected>200</option>
							<option value="288">288</option>
							<option value="320">320</option>
							<option value="400">400</option>
							<option value="512">512</option>
							<option value="576">576</option>
							<option value="640">640</option>
							<option value="720">720</option>
							<option value="800">800</option>
							<option value="912">912</option>
							<option value="1024">1024</option>
							<option value="1152">1152</option>
							<option value="1280">1280</option>
							<option value="1440">1440</option>
							<option value="1660">1660</option>
						</select>
					</label>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" valign="top"><?php _e("Float", 'mudslide'); ?></td>
				<td>
					<label><select id="imgfloat" name="imgfloat">
						<option value="left"><?php _e("Left", 'mudslide'); ?></option>
						<option value="right"><?php _e("Right", 'mudslide'); ?></option>
						<option value="center"><?php _e("Center", 'mudslide'); ?></option>
					</select></label>
				</td>
			</tr>
		</table>
		</div>
		<!-- single pic panel -->		
	</div>

	<div class="mceActionPanel">
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php _e("Cancel", 'mudslide'); ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php _e("Insert", 'mudslide'); ?>" onclick="insertMudSlideLink();" />
		</div>
	</div>
</form>
</body>
</html>
