<?php

/**
* Function to write the data needed in the header by highslide.
*
* @access public
*/
function muds_header() {
	require('highslide-header.php');
}

/**
* Function to write the data needed in the footer by highslide.
*
* @access public
*/
function muds_footer() {
	require('highslide-footer.php');
}

/**
* This function returns the html code to show an image using highslide as the viewer
*
* @access public
* @param url image The url to the big one.
* @param url image The url to the thumbnail. 
* @param string title The title of the image.
* @param int album If this image is part of an album we need a common number for this group.
* @param string float Is this image floating to the left, right or center?
* @param string comment Do this image have a comment? Send false if we don't have to show the comment.
* @param int size The size of the thumbnail.
* @return string The HTML code
*/
function muds_show($image, $thumbnail, $title, $album=0, $float='center', $comment=false, $size=200) {
	$class = 'class="slideimg"';
	$class_float="";
	$center="";
	if($float=='center') $class_center=" align=\"center\"";
	$rand = mt_rand(111111,999999);
	
	$caption=$title;
	$caption_side="";
	if($comment) {
		$caption=apply_filters('comment_text', "<div style='font-size:11px;'><h3>".$title."</h3>".$comment."</div>");
		$caption_side= "captionOverlay: { position: 'rightpanel', width: '320px'},";
	}
	
	$img = '<a id="thumb'.$rand.'" href="'.$image.'" onclick="return hs.expand(this, { '.$caption_side.' captionId: \'mudscaption'.$rand.'\', slideshowGroup: \''.$album.'\' } )" class="highslide"><img '.$class.' alt="'.$title.'" src="'.$thumbnail.'" border="0" style="max-width:'.$size.'px" /></a><div class="highslide-caption" id="mudscaption'.$rand.'">'.$caption.'</div>';
	return "<div class=\"slide$float\"".$class_center.">$img</div>";
}

?>
